unitdiff(1)

NAME
unitdiff - Describe differences in the interface of a FPC unit.

SYNOPSIS

unitdiff [ --disable-arguments] [ --disable-private] [ --disable-protected] [ --help] [ --lang=language] [ --list] [ --output=filename] [ --sparse] file1 file2

Description

unitdiff scans one or two Free Pascal unit source files and either lists all available identifiers, or describes the differences in identifiers between the two units.

Usage

You can invoke unitdiff with as the only required argument a input filename. It will then simply list all available identifiers.

The regular use is to invoke unitdiff with input1 input2 arguments. It will then show the difference in interface between the two units, or list the available identifiers in both units. The output of unitdiff will go to standard output by default.

Options

unitdiff has some options, most of them optional, defaults will be used in most cases.

--disable-arguments
    If this option is specified, unitdiff will not check the arguments of functions and procedures. By default, these are checked as well.

--disable-private
    By default, private methods of classes are checked. if this option is specified, private fields or methods are not checked.

--disable-protected
    By default, protected methods of classes are checked. if this option is specified, protected and private fields or methods are not checked.

--help
    Emit a short help text and exit.

--lang=language
    Sets the language for the output file. This will mainly set the strings used for the headers in various parts of the documentation files (by default they're in english). Currently, valid options are

    de  German.

    fr  French.

    nl  Dutch.

--list
    If this option is specified, only the list of available identifiers will be specified for the unit or units. If only 1 unit is specified, this option is automatically assumed.

--output=filename
    This option tells unitdiff where the output should go. If this option is not specified, the output is sent to standard output (the screen).

--sparse
    Turns on sparse mode. In this mode, the output will not contain the types of the identifiers. Only the names of the identifiers are written to the output. By default, also type descriptions are written.

SEE ALSO

    ppc386(1) fpdoc(1)